Loading...
Searching...
No Matches
Base64
libavutil » Crypto and Hashing

## Macros

#define | AV_BASE64_DECODE_SIZE(x) ((x) * 3LL / 4)
| Calculate the output size in bytes needed to decode a base64 string with length x to a data buffer.
#define | AV_BASE64_SIZE(x) (((x)+2) / 3 * 4 + 1)
| Calculate the output size needed to base64-encode x bytes to a null-terminated string.

## Functions

int | av_base64_decode (uint8_t *out, const char *in, int out_size)
| Decode a base64-encoded string.
char * | av_base64_encode (char *out, int out_size, const uint8_t *in, int in_size)
| Encode data to base64 and null-terminate.

## Detailed Description

## Macro Definition Documentation

## AV_BASE64_DECODE_SIZE

#define AV_BASE64_DECODE_SIZE | ( |  | x | ) | ((x) * 3LL / 4)

Calculate the output size in bytes needed to decode a base64 string with length x to a data buffer.

Definition at line 48 of file base64.h.

## AV_BASE64_SIZE

#define AV_BASE64_SIZE | ( |  | x | ) | (((x)+2) / 3 * 4 + 1)

Calculate the output size needed to base64-encode x bytes to a null-terminated string.

Definition at line 66 of file base64.h.

## Function Documentation

## av_base64_decode()

int av_base64_decode | ( | uint8_t * | out,
|  | const char * | in,
|  | int | out_size
| ) |  |

Decode a base64-encoded string.

Parameters

  out | buffer for decoded data
  in | null-terminated input string
  out_size | size in bytes of the out buffer, must be at least 3/4 of the length of in, that is AV_BASE64_DECODE_SIZE(strlen(in))

Returns
  number of bytes written, or a negative value in case of invalid input

## av_base64_encode()

char * av_base64_encode | ( | char * | out,
|  | int | out_size,
|  | const uint8_t * | in,
|  | int | in_size
| ) |  |

Encode data to base64 and null-terminate.

Parameters

  out | buffer for encoded data
  out_size | size in bytes of the out buffer (including the null terminator), must be at least AV_BASE64_SIZE(in_size)
  in | input buffer containing the data to encode
  in_size | size in bytes of the in buffer

Returns
  out or NULL in case of error